//
//  LSPDWebKitController.h
//  PluginDesigner
//
//  Created by Philippe H. Regenass on 18.04.07.
//  Copyright 2007 TREEINSPIRED.ch. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <WebKit/WebKit.h>
#import "LSPDJSGenerator.h"

/*!
    @header			LSPDWebKitController
    @abstract		LSPDWebKitController : NSObject\n
	@discussion		Delegate Objekt für das WebView im Dokumentenfenster.
	\bug			!!!! Ich denke das NSDocumentController currentDocument ist auch eine schlechte Wahl. Gemäss Dokumentation kann das currentDocument nil zurück geben wenn
					Die App nicht aktiv ist. Entsprechend wird dies auch nil zurückgeben wenn zwei Plugin Projekte geöffnet sind. Gemäss Doku folgendes verwenden:
					[[[self window] windowController] document]; bez. alles mit IBOutlets erledigen...
*/

@interface LSPDWebKitController : NSObject
{
	IBOutlet	LSPDJSGenerator		*jsGenerator;
	
	@private
				NSString			*currentURL;
}


/*!
    @abstract		- (IBAction)runScript: (id)sender
    @discussion		Führt das bisher erstellte JavaScript im WebView des Dokumentenfensters mit den Testparametern aus. Somit kommt der User auf die nächste Seite.
	@param			(id)sender Objekt, welches die Methode aufruft.
	\bug			Wenn kein Username / Passwort bez. Test-Empfänger hinterlegt ist wird das Script nicht ausgeführt. Abfrage erstellen ob ein Test-Empfänger hinterlegt ist.
*/
- (IBAction)runScript: (id)sender;



// Getter und Setters


/*!
    @abstract		- (NSString *)currentURL
    @discussion		Getter für die aktuell geladene URL im WebView
	@result			(NSString *) URL
*/
- (NSString *)currentURL;


/*!
    @abstract		- (void)setCurrentURL:(NSString *)value
    @discussion		Setter für die aktuell geladene URL im WebView
	@param			(NSString *)value URL
*/
- (void)setCurrentURL:(NSString *)value;

@end
